Bug 163653 - [PATCH] devel/dbus: use /tmp for socket files
Summary: [PATCH] devel/dbus: use /tmp for socket files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-28 04:30 UTC by Xin LI
Modified: 2011-12-28 21:20 UTC (History)
1 user (show)

See Also:


Attachments
dbus.diff (829 bytes, patch)
2011-12-28 04:30 UTC, Xin LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2011-12-28 04:30:10 UTC
	Currently dbus uses /var/tmp as socket directory, which is not
cleaned up upon reboots by defination.

	The proposed patch changes the default place back to the default
/tmp.

How-To-Repeat: 	Just see /var/tmp accumulating several dbus-* files over time.
Comment 1 Edwin Groothuis freebsd_committer 2011-12-28 04:30:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Doug Barton freebsd_committer 2011-12-28 04:40:20 UTC
Is there any reason not to use /var/run for this? Not everyone cleans
out /tmp on reboot, but /var/run should always be cleaned (unless the
user has done something wacky, in which case they are on their own).

BTW, changing it away from /var/tmp is a great idea. I could then remove
the code I have to clean it up at boot time.

Doug

-- 

	You can observe a lot just by watching.	-- Yogi Berra

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 3 Xin LI 2011-12-28 04:46:07 UTC
On Tue, Dec 27, 2011 at 8:40 PM, Doug Barton <dougb@freebsd.org> wrote:
> Is there any reason not to use /var/run for this? Not everyone cleans
> out /tmp on reboot, but /var/run should always be cleaned (unless the
> user has done something wacky, in which case they are on their own).

Yes, primarily because dbus expects random names and and all users
needs to be able to create the socket (so parent directory needs to be
1777 rather than the normal ones).

By the way I really don't think /var/run would be cleaned (nor it
should) because it's important to be able to create a subdirectory
owned by particular user (e.g. a web server) so unprivileged part of
these daemons can still make changes to e.g. pid files.

> BTW, changing it away from /var/tmp is a great idea. I could then remove
> the code I have to clean it up at boot time.
>
> Doug
>
> --
>
> =C2=A0 =C2=A0 =C2=A0 =C2=A0You can observe a lot just by watching. -- Yog=
i Berra
>
> =C2=A0 =C2=A0 =C2=A0 =C2=A0Breadth of IT experience, and depth of knowled=
ge in the DNS.
> =C2=A0 =C2=A0 =C2=A0 =C2=A0Yours for the right price. =C2=A0:) =C2=A0http=
://SupersetSolutions.com/
>



--=20
Xin LI <delphij@delphij.net> https://www.delphij.net/
FreeBSD - The Power to Serve! Live free or die
Comment 4 Doug Barton freebsd_committer 2011-12-28 04:47:07 UTC
On 12/27/2011 20:46, Xin LI wrote:
> Yes, primarily because dbus expects random names and and all users
> needs to be able to create the socket (so parent directory needs to be
> 1777 rather than the normal ones).

Fair enough. Thanks for clarifying.


-- 

	You can observe a lot just by watching.	-- Yogi Berra

	Breadth of IT experience, and depth of knowledge in the DNS.
	Yours for the right price.  :)  http://SupersetSolutions.com/
Comment 5 Joe Marcus Clarke freebsd_committer 2011-12-28 21:19:05 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2011-12-28 21:19:12 UTC
marcus      2011-12-28 21:18:58 UTC

  FreeBSD ports repository

  Modified files:
    devel/dbus           Makefile 
  Log:
  Move the sockets from /var/tmp to /tmp so that they can be cleaned up
  by default on reboot.
  
  PR:             163653
  Submitted by:   delphij
  
  Revision  Changes    Path
  1.87      +2 -2      ports/devel/dbus/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"